# $Revision: 1.12 $, $Date: 2011/08/13 04:41:44 $
%define		snap	20090401
%define		rel		2
Summary:	HardDrive Active Protection System
Summary(pl.UTF-8):	HDAPS - system aktywnej ochrony dysku twardego
Name:		hdapsd
Version:	0.1
Release:	0.%{snap}.%{rel}
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/hdaps/%{name}-20090401.tar.gz
# Source0-md5:	897cee8b0192febd127470f3e9506aeb
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.upstart
URL:		http://hdaps.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
# relies on kernel hdaps driver, which depends on CONFIG_X86
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HardDrive Active Protection System.

The APS is a protection system for the ThinkPads internal harddrive. A
sensor inside the ThinkPad recognizes when the notebook is
accelerated. A software applet then is triggered to park the harddisk.
This way the risk of data loss in case of when the notebook is dropped
is significantly reduced since the read/write head of the harddrive is
parked and hence can't crash onto the platter when the notebook drops
onto the floor.

%description -l pl.UTF-8
HardDrive Active Protection System - system aktywnej ochrony dysku
twardego.

APS to system ochrony dla wewnętrznego dysku twardego ThinkPadów.
Czujnik wewnątrz ThinkPada rozpoznaje kiedy notebook podlega
przyspieszeniu. Aplet programowy reaguje na to parkując dysk twardy. W
ten sposób ryzyko utraty danych w przypadku upuszczenia notebooka jest
znacząco zmniejszane, ponieważ głowica odczytująco-zapisująca dysku
jest zaparkowana, dzięki czemu nie może uderzyć w talerz dysku przy
uderzeniu o podłoże.

%prep
%setup -q -n %{name}-%{snap}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d,init}

%{__make} install \
	doc_DATA= \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/init/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS
%attr(755,root,root) %{_sbindir}/hdapsd
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/init/%{name}.conf
%{_mandir}/man8/hdapsd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hdapsd.spec,v $
Revision 1.12  2011/08/13 04:41:44  glen
- add upstart script

Revision 1.11  2009/06/14 16:30:16  arekm
- up to 20090401; switch to maintained version

Revision 1.10  2009/03/27 07:18:06  glen
- up to 20081004

Revision 1.9  2007/10/24 15:37:58  arekm
- up to 20070524

Revision 1.8  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.6  2006/04/09 18:50:36  adamg
- snap 20060409

Revision 1.5  2006/04/01 16:13:29  qboosh
- EA: x86*

Revision 1.4  2006/04/01 16:00:21  qboosh
- pl

Revision 1.3  2006/03/26 13:35:39  glen
- longer description
- BR macros for %service

Revision 1.2  2006/03/26 12:43:07  arekm
- up

Revision 1.1  2006/03/26 12:37:54  arekm
- new
